Debian DLA-2713-1 : linux - LTS security update

high Nessus Plugin ID 151891

Synopsis

The remote Debian host is missing one or more security-related updates.

Description

The remote Debian 9 host has packages installed that are affected by multiple vulnerabilities as referenced in the dla-2713 advisory.

- fs/seq_file.c in the Linux kernel 3.16 through 5.13.x before 5.13.4 does not properly restrict seq buffer allocations, leading to an integer overflow, an Out-of-bounds Write, and escalation to root by an unprivileged user, aka CID-8cae8cd89f05. (CVE-2021-33909)

- net/can/bcm.c in the Linux kernel through 5.12.10 allows local users to obtain sensitive information from kernel stack memory because parts of a data structure are uninitialized. (CVE-2021-34693)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade the linux packages.

For Debian 9 stretch, these problems have been fixed in version 4.9.272-2.

See Also

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=990072

https://security-tracker.debian.org/tracker/source-package/linux

https://www.debian.org/lts/security/2021/dla-2713

https://security-tracker.debian.org/tracker/CVE-2021-21781

https://security-tracker.debian.org/tracker/CVE-2021-33909

https://security-tracker.debian.org/tracker/CVE-2021-34693

https://security-tracker.debian.org/tracker/CVE-2021-3609

https://packages.debian.org/source/stretch/linux

Plugin Details

Severity: High

ID: 151891

File Name: debian_DLA-2713.nasl

Version: 1.4

Type: local

Agent: unix

Published: 7/21/2021

Updated: 1/20/2022

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Critical

Score: 9.5

CVSS v2

Risk Factor: High

Base Score: 7.2

Temporal Score: 6.3

Vector: AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2021-33909

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 7.5

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:hyperv-daemons, p-cpe:/a:debian:debian_linux:libcpupower-dev, p-cpe:/a:debian:debian_linux:libcpupower1, p-cpe:/a:debian:debian_linux:libusbip-dev, p-cpe:/a:debian:debian_linux:linux-compiler-gcc-6-arm, p-cpe:/a:debian:debian_linux:linux-compiler-gcc-6-x86, p-cpe:/a:debian:debian_linux:linux-cpupower, p-cpe:/a:debian:debian_linux:linux-doc-4.9, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-686, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-686-pae, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-all, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-all-amd64, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-all-arm64, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-all-armel, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-all-armhf, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-all-i386, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-amd64, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-arm64, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-armmp, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-armmp-lpae, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-common, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-common-rt, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-marvell, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-rt-686-pae, p-cpe:/a:debian:debian_linux:linux-headers-4.9.0-14-rt-amd64, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-686, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-686-dbg, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-686-pae, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-686-pae-dbg, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-amd64, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-amd64-dbg, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-arm64, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-arm64-dbg, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-armmp, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-armmp-dbg, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-armmp-lpae, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-armmp-lpae-dbg, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-marvell, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-marvell-dbg, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-rt-686-pae, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-rt-686-pae-dbg, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-rt-amd64, p-cpe:/a:debian:debian_linux:linux-image-4.9.0-14-rt-amd64-dbg, p-cpe:/a:debian:debian_linux:linux-kbuild-4.9, p-cpe:/a:debian:debian_linux:linux-libc-dev, p-cpe:/a:debian:debian_linux:linux-manual-4.9, p-cpe:/a:debian:debian_linux:linux-perf-4.9, p-cpe:/a:debian:debian_linux:linux-source-4.9, p-cpe:/a:debian:debian_linux:linux-support-4.9.0-14, p-cpe:/a:debian:debian_linux:usbip, cpe:/o:debian:debian_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 7/20/2021

Vulnerability Publication Date: 6/14/2021

Reference Information

CVE: CVE-2021-3609, CVE-2021-21781, CVE-2021-33909, CVE-2021-34693

IAVA: 2021-A-0350